﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace MyCusListview
{
    public class Person: INotifyPropertyChanged
    {
        bool _changed=false;
        public bool Changed {
            get {
                return _changed;
            }

            set
            {
                if (_changed != value)
                {
                    _changed = value;
                    OnPropertyChanged("Changed");

                }
            }

        }

        string name;
        public string Name
        {
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                   
                }
            }
            get
            {
                return name;
            }
        }

        string image;
        public string Image
        {
            set
            {
                if (image != value)
                {
                    image = value;
                    OnPropertyChanged("Image");

                }
            }
            get
            {
                return image;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
